<?php

/* DCMS Special
 * Дата последнего редактирования 04.02.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

if (isset($user)) {
    $ank['id'] = $user['id'];
}

if (isset($_GET['id'])) {
    $ank['id'] = intval($_GET['id']);
}

$ank = get_user($ank['id']);

if ($ank['id'] == 0) {
    header("Location: /index.php?" . SID);
    exit;
}

if (isset($user) && isset($_GET['delete']) && $user['id'] == $ank['id']) {
    mysql_query("DELETE FROM `bookmark_foto` WHERE `id` = '" . intval($_GET['delete']) . "' AND `id_user` = '$user[id]' LIMIT 1");

    $_SESSION['message'] = lang('Закладка удалена');
    header("Location: ?page=" . intval($_GET['page']) . "" . SID);
    exit;
}

if (!$ank) {
    header("Location: /index.php?" . SID);
    exit;
}

$set['title'] = lang('Закладки') . ' - ' . lang('Фото') . ' - ' . $ank['nick']; // заголовок страницы

require_once H . 'sys/inc/thead.php';

aut();
err();

$users = mysql_result(mysql_query("SELECT COUNT(id_user) FROM `bookmark_user` WHERE `id_user` = '" . $ank['id'] . "'"), 0);
$foto = mysql_result(mysql_query("SELECT COUNT(id_user) FROM `bookmark_foto` WHERE `id_user` = '" . $ank['id'] . "'"), 0);
$files = mysql_result(mysql_query("SELECT COUNT(id_user) FROM `bookmark_files` WHERE `id_user` = '" . $ank['id'] . "'"), 0);

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/id$ank[id]'>$ank[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Закладки');
echo "</small></div><br />";

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `bookmark_foto` WHERE `id_user` = '$ank[id]'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo "<div class='list-group-item-null list-group-item-grey'>";
if ($k_post == 0) {
    echo "<ul class='nav nav-tabs' style='margin-bottom: -12px;'>";
} else {
    echo "<ul class='nav nav-tabs' style='margin-bottom: -11px;'>";
}
echo "<li class='nav-item'><a class='nav-link' href='index.php?id=$ank[id]'>" . lang('Люди') . " <span class='label label-default'>$users</span></a></li>";
echo "<li class='nav-item'><a class='nav-link active'>" . lang('Фото') . " <span class='label label-default'>$foto</span></a></li>";
//echo "<li class='nav-item'><a class='nav-link' href='files.php?id=$ank[id]'>" . lang('Файлы') . " <span class='label label-default'>$files</span></a></li>";
echo "</ul>";
echo "</div>";

if ($k_post == 0) {
    echo "<br />";
    $doc->NoResult();
}

$q = mysql_query("SELECT * FROM `bookmark_foto`  WHERE `id_user` = '$ank[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_assoc($q)) {

    $f = $post['id_foto'];
    $foto = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = '" . $f . "'  LIMIT 1"));
    $gallery = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id`='" . $foto['id_gallery'] . "'  LIMIT 1"));
    $ank_p = get_user($gallery['id_user']);

    if ($foto['ras'] == 'zip' || $foto['ras'] == 'rar') {
        $r = "<i class='fa fa-file-archive-o fa-fw'></i>";
    } elseif ($foto['ras'] == 'png' || $foto['ras'] == 'jpg' || $foto['ras'] == 'jpeg' || $foto['ras'] == 'gif') {
        $r = "<i class='fa fa-file-image-o fa-fw'></i>";
    } elseif ($foto['ras'] == 'mp3') {
        $r = "<i class='fa fa-file-audio-o fa-fw'></i>";
    } elseif ($foto['ras'] == 'txt') {
        $r = "<i class='fa fa-file-text-o fa-fw'></i>";
    } elseif ($foto['ras'] == 'mp4' || $foto['ras'] == 'avi' || $foto['ras'] == '3gp') {
        $r = "<i class='fa fa-file-video-o fa-fw'></i>";
    } elseif ($foto['ras'] == 'php') {
        $r = "<i class='fa fa-file-code-o fa-fw'></i>";
    } else {
        $r = "<i class='fa fa-file-o fa-fw'></i>";
    }

    echo "<table class='list-group-item-null'><tr><td class='icon14'>";
    echo "<a href='/modules/foto/$ank_p[id]/$gallery[id]/$foto[id]/' title='" . lang('Перейти к фото') . "'><img src='/modules/foto/foto48/$foto[id].$foto[ras]' /></a>";
    echo "</td><td class = 'null'>";
    if ($ank['id'] == $user['id']) {
        echo "<span style='float:right;'><a href='?delete=$post[id]&amp;page=$page' class='hint--left' data-hint='" . lang('Удалить') . "'><i class='fa fa-trash-o fa-fw'></i></a></span>";
    }
    echo "<a href='/modules/foto/$ank_p[id]/$gallery[id]/$foto[id]/' title='" . lang('Перейти к фото') . "'>$r " . htmlspecialchars($foto['name']) . "</a><br />";
    echo "<span title='" . date::time($post['time']) . "' style='color:grey;'>" . date::times($post['time']) . "</span>";
    echo "</td></tr></table>";
    echo "<div class='hr'></div>";
}

if ($k_page > 1) {
    str('?', $k_page, $page);
}


require_once H . 'sys/inc/tfoot.php';
